﻿/* Newsletter Floating CTA */
@keyframes right-in {
    0% {
        opacity: 0;
        transform: translateX(100px);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

#btn-newsletter-float {
    position: fixed;
    bottom: 15px;
    right: 15px;
    z-index: 5;
    padding: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    max-width: 217px;
    overflow: hidden;
    margin: 0;
    transform: translateX(150%);
    animation: right-in 0.5s ease-out;
    animation-delay: 2s;
    animation-fill-mode: forwards;
    transition: all 0.3s ease-in-out;
}

    #btn-newsletter-float.minimal {
        gap: 0;
        max-width: 65px;
    }

        #btn-newsletter-float.minimal span {
            opacity: 0;
            max-width: 0;
            overflow: hidden;
        }

    #btn-newsletter-float span {
        white-space: nowrap;
        opacity: 1;
        max-width: 217px;
        transition: opacity 0.3s ease-in-out, max-width 0.3s ease-in-out;
        font-size: 16px;
    }

    #btn-newsletter-float.minimal:hover {
        gap: 10px;
        max-width: 217px;
    }

        #btn-newsletter-float.minimal:hover span {
            opacity: 1;
            max-width: 217px;
        }

    #btn-newsletter-float.two-line {
        max-width: 190px;
        padding: 12px 15px;
        border-radius: 8px;
        text-align: center;
        text-transform: uppercase;
        font-weight: 700;
        box-shadow: 2px 2px 20px 2px #00000029;
    }

        #btn-newsletter-float.two-line span {
            display: block;
            overflow: hidden;
            height: 35px;
            text-align: center;
            white-space: normal;
            font-weight: 700;
            line-height: 1.2;
            letter-spacing: 0.5px;
            text-transform: uppercase;
            color: #ffffff;
        }

        #btn-newsletter-float.two-line.minimal {
            max-width: 78px;
        }

            #btn-newsletter-float.two-line.minimal span {
                opacity: 1;
                max-width: 50px;
                white-space: normal;
            }

            #btn-newsletter-float.two-line.minimal:hover {
                max-width: 180px;
            }

                #btn-newsletter-float.two-line.minimal:hover span {
                    max-width: 180px;
                }

@media (max-width: 768px) {
    #btn-newsletter-float {
        bottom: 10px;
        right: 10px;
        padding: 10px;
        font-size: 16px !important;
        max-width: 175px;
    }

        #btn-newsletter-float.two-line {
            max-width: 90px;
            font-size: 14px !important;
            padding: 15px 20px;
        }

            #btn-newsletter-float.two-line span {
                opacity: 1;
                max-width: initial;
                white-space: normal;
                overflow: hidden;
            }

            #btn-newsletter-float.two-line.minimal {
                max-width: 90px;
            }

        #btn-newsletter-float.minimal {
            max-width: 175px;
            gap: 0;
        }

            #btn-newsletter-float.minimal span {
                opacity: 1;
                max-width: initial;
            }

        #btn-newsletter-float img {
            display: none;
        }
}
